
/* Topnav */
nav.topnav{
	position:fixed; top:0; left:0; width:100%; padding:1.25rem 0; margin:0;
	border-bottom:.125rem solid transparent; z-index:95;
	transition:transform .25s, background .25s, padding .25s, border-color .25s;
}
nav.topnav.sticky{padding:.325rem 0;}
nav.topnav::before{
	content:''; position:absolute; top:0; bottom:-.75rem; left:0; right:0;
	transition:opacity .25s;
}
nav.topnav.sticky::before{opacity:0;}
nav.topnav > .container{position:relative;}
nav.topnav .options{width:100%; display:flex; align-items:center; justify-content:space-between;}
nav.topnav .option{display:flex; align-items:center;}
nav.topnav .menu-option{
	display:flex; align-items:center; justify-content:center; width:2rem; height:2rem;
	cursor:pointer; border-radius:50%; transition:background .25s;
}
nav.topnav .logo{display:block; margin:0 1.5rem 0 1.5rem; transition:opacity .25s;}
nav.topnav .logo:hover{opacity:.8;}
nav.topnav .logo h6{
	font-size:1.875rem; font-weight:800; white-space:nowrap; line-height:1.2;
	transition:color .25s;
}
nav.topnav .logo p{
	font-size:.75rem; font-weight:400; margin:0; opacity:.6;
	white-space:nowrap; transition:color .25s;
}
nav.topnav .menu-container{display:flex; align-items:center;}
nav.topnav .menu{display:block; position:relative; padding:0; margin:0 0 0 1.5rem;}
nav.topnav .menu > *:first-child, nav.topnav .submenu > *:first-child{
	display:flex; align-items:center; padding:.875rem .5rem; white-space:nowrap; cursor:pointer;
	font-size:.9375rem; font-weight:500; transition:color .25s, background .25s;
}
nav.topnav .submenu-container{
	position:absolute; top:100%; left:0; padding:.5rem 0; opacity:0; pointer-events:none;
	border-radius:.3125rem; transition:top .25s, opacity .25s;
}
nav.topnav .menu:hover > .submenu-container{opacity:1; pointer-events:auto;}
nav.topnav .submenu-container::before{
	content:''; position:absolute; bottom:calc(100% - .0625rem); left:1rem;
	width:.875rem; height:.4375rem; clip-path:polygon(0% 100%, 100% 100%, 50% 0%);
}
nav.topnav .submenu > *:first-child{padding:.75rem;}
nav.topnav .menu .chev{font-size:.625rem; margin:0 0 0 .375rem; transform:translateY(.0625rem);}
nav.topnav .avatar-container{position:relative; padding:.125rem 0 .125rem .5rem;}
nav.topnav .avatar-container > .MuiAvatar-root{cursor:pointer;}
nav.topnav .avatar-container > .dropdown{
	position:absolute; top:calc(100% + .625rem); right:-.5rem; border-radius:.3125rem;
	width:11.25rem; pointer-events:none; opacity:0; box-shadow:rgb(0 0 0 / 10%) 0px 4px 8px;
	border:1px solid transparent; transition:top .25s, opacity .25s;
}
nav.topnav .avatar-container:hover > .dropdown{top:100%; opacity:1; pointer-events:all;}
nav.topnav .avatar-container > .dropdown .MuiListItemIcon-root{min-width:44px;}
nav.topnav .text-line{
	width:100%; max-width:10rem; display:block; display:-webkit-box; text-overflow:ellipsis;
	overflow:hidden; -webkit-box-orient:vertical; -webkit-line-clamp:1;
}
@media screen and (max-width:991.98px){
	nav.topnav .hide-tablet{display:none!important;}
	nav.topnav .show-tablet{display:block!important;}
	nav.topnav{padding:1.125rem 0;}
	nav.topnav.sticky{padding:.22rem 0;}
	nav.topnav .logo{margin:0 0 0 1rem;}
}
@media screen and (max-width:767.98px){
	nav.topnav .hide-mobile{display:none!important;}
	nav.topnav .show-mobile{display:block!important;}
	nav.topnav{padding:1.25rem 0;}
	nav.topnav.sticky{padding:.6rem 0;}
	nav.topnav .logo{margin:0 0 0 .5rem;}
	nav.topnav .logo h6{font-size:1.75rem;}
	nav.topnav .logo p{display:none;}
}


/* Sidenav */
nav.sidenav{
	display:block; position:fixed; top:0; left:0; width:280px; height:100vh; z-index:98;
	transform:translateX(-280px); transition:transform .5s;
}
nav.sidenav.active{transform:translateX(0);}
nav.sidenav > .wrapper{position:relative; width:100%; height:100%; overflow:hidden;}
nav.sidenav .options{
	display:flex; align-items:center; justify-content:space-between; padding:0 .75rem;
	width:100%; height:4.125rem; border-bottom:.125rem solid transparent;
}
nav.sidenav .menu-option{
	display:flex; align-items:center; justify-content:center; width:2rem; height:2rem;
	cursor:pointer; border-radius:50%; transition:background .25s;
}
nav.sidenav .scroll-wrapper{
	display:block; width:100%; height:calc(100% - 7.5rem); max-height:calc(100% - 7.5rem);
	overflow-x:hidden; overflow-y:auto; border-top:1px solid transparent;
}
nav.sidenav .menu-container{
	position:relative; width:100%; padding:.625rem 0; border-bottom:.125rem solid transparent;
}
nav.sidenav .menu > *:first-child, nav.sidenav .submenu > *:first-child{
	position:relative; display:flex; align-items:center; padding:.875rem .75rem;
	white-space:nowrap; cursor:pointer; font-size:1rem; font-weight:500;
	transition:color .25s, background .25s;
}
nav.sidenav .submenu-container{position:relative; width:100%; padding:0 0 .75rem 0;}
nav.sidenav .submenu > *:first-child{
	padding:.625rem .75rem .625rem 2.75rem; font-size:.875rem; font-weight:400;
}
nav.sidenav .menu .icon{
	display:flex; align-items:center; justify-content:center; width:1.25rem;
	font-size:1rem; margin:0 1rem 0 0; transition:color .25s;
}
nav.sidenav .menu .chev{
	position:absolute; top:0; bottom:0; right:1.375rem;
	display:flex; align-items:center; font-size:.6875rem;
}
nav.sidenav ~ .sidenav-filter{
	display:block; position:fixed; top:0; left:0; width:100%; height:100vh; z-index:97;
	background:#000000; opacity:0; pointer-events:none; cursor:pointer; transition:opacity .5s;
}
nav.sidenav.active ~ .sidenav-filter{opacity:.5; pointer-events:all;}
@media screen and (max-width:991.98px){
	nav.sidenav .options{height:3.875rem;}
}
@media screen and (max-width:767.98px){
	nav.sidenav .options{height:3.375rem;}
}


/* Footer */
nav.footer{width:100%; background:#151515; color:#ffffff;}
nav.footer > .container > .wrapper{
	width:100%; display:flex; align-items:center; justify-content:space-between; flex-wrap:wrap;
	padding:.375rem 0 3rem 0;
}
nav.footer .logo{display:block; margin:1rem 0 0 0; transition:opacity .25s;}
nav.footer .logo:hover{opacity:.8;}
nav.footer .logo h6{
	font-size:1.875rem; font-weight:800; white-space:nowrap; line-height:1.2;
	color:var(--pcolor); transition:color .25s;
}
nav.footer .copyright{margin:1rem 0 0 0;}
nav.footer .socials{margin:.625rem 0 0 0; text-align:right;}
nav.footer .socials button{color:#ffffff;}
@media screen and (max-width:767.98px){
	nav.footer > .container > .wrapper{padding:.5rem 0 2.5rem 0;}
	nav.footer .logo h6{font-size:1.75rem;}
	nav.footer .logo, nav.footer .copyright, 
	nav.footer .socials{width:100%; text-align:center;}
}


/* Back to Top */
.back-to-top{
	display:block; text-decoration:none; width:2.5rem; height:2.5rem; border-radius:.3125rem;
	text-align:center; line-height:2.875rem; font-size:1rem; opacity:0; z-index:90;
	position:fixed; bottom:1rem; right:1rem; cursor:pointer; pointer-events:none;
	border:.0625rem solid transparent; transition:opacity .25s;
}
.back-to-top.active{opacity:.6; pointer-events:all;}
.back-to-top.active:hover{opacity:1;}
.back-to-top > em{transform:translateY(-.1875rem);}
.back-to-top > svg{transform:translateY(.1875rem);}
